# class Tk::Tcllib::Widget::DateEntry

### Constants

PACKAGE_NAME
TkCommandNames

### Public Class Methods

package_name() click to toggle source

    # File lib/tkextlib/tcllib/dateentry.rb, line 20
    def self.package_name
      PACKAGE_NAME
    end

package_version() click to toggle source

    # File lib/tkextlib/tcllib/dateentry.rb, line 24
    def self.package_version
      begin
        TkPackage.require('widget::dateentry')
      rescue
        ''
      end
    end

### Public Instance Methods

post() click to toggle source

    # File lib/tkextlib/tcllib/dateentry.rb, line 54
    def post
      tk_send('post')
      self
    end

unpost() click to toggle source

    # File lib/tkextlib/tcllib/dateentry.rb, line 59
    def unpost
      tk_send('unpost')
      self
    end

### Private Instance Methods

__strval_optkeys() click to toggle source
Calls superclass method Tk::Tile::TEntry#__strval_optkeys

    # File lib/tkextlib/tcllib/dateentry.rb, line 39
    def __strval_optkeys
      super() << ['dateformat']
    end

create_self(keys) click to toggle source

    # File lib/tkextlib/tcllib/dateentry.rb, line 44
    def create_self(keys)
      if keys and keys != None
        tk_call_without_enc(self.class::TkCommandNames[0], @path,
                            *hash_kv(keys, true))
      else
        tk_call_without_enc(self.class::TkCommandNames[0], @path)
      end
    end